<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>Documentation</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <base href="../">
    <link rel="icon" href="images/favicon.ico"/>
    <link rel="stylesheet" href="css/normalize.css">
    <link rel="stylesheet" href="css/base.css">
            <link href="https://fonts.googleapis.com/css2?family=Source+Sans+Pro:wght@400;600;700&display=swap" rel="stylesheet">
        <link rel="stylesheet" href="css/template.css">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.0/css/all.min.css" integrity="sha256-ybRkN9dBjhcS2qrW1z+hfCxq+1aBdwyQM5wlQoQVt/0=" crossorigin="anonymous" />
                <script src="https://cdn.jsdelivr.net/npm/fuse.js@3.4.6"></script>
        <script src="https://cdn.jsdelivr.net/npm/css-vars-ponyfill@2"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.0/js/all.min.js" integrity="sha256-0vuk8LXoyrmCjp1f0O300qo1M75ZQyhH9X3J6d+scmk=" crossorigin="anonymous"></script>
        <script src="js/search.js"></script>
        <script defer src="js/searchIndex.js"></script>
    </head>
<body id="top">
    <header class="phpdocumentor-header phpdocumentor-section">
    <h1 class="phpdocumentor-title"><a href="" class="phpdocumentor-title__link">Documentation</a></h1>
    <input class="phpdocumentor-header__menu-button" type="checkbox" id="menu-button" name="menu-button" />
    <label class="phpdocumentor-header__menu-icon" for="menu-button">
        <i class="fas fa-bars"></i>
    </label>
    <section data-search-form class="phpdocumentor-search">
    <label>
        <span class="visually-hidden">Search for</span>
        <svg class="phpdocumentor-search__icon" width="21" height="20" viewBox="0 0 21 20" fill="none" xmlns="http://www.w3.org/2000/svg">
            <circle cx="7.5" cy="7.5" r="6.5" stroke="currentColor" stroke-width="2"/>
            <line x1="12.4892" y1="12.2727" x2="19.1559" y2="18.9393" stroke="currentColor" stroke-width="3"/>
        </svg>
        <input type="search" class="phpdocumentor-field phpdocumentor-search__field" placeholder="Loading .." disabled />
    </label>
</section>

    <nav class="phpdocumentor-topnav">
    <ul class="phpdocumentor-topnav__menu">
        </ul>
</nav>
</header>

    <main class="phpdocumentor">
        <div class="phpdocumentor-section">
            <input class="phpdocumentor-sidebar__menu-button" type="checkbox" id="sidebar-button" name="sidebar-button" />
<label class="phpdocumentor-sidebar__menu-icon" for="sidebar-button">
    Menu
</label>
<aside class="phpdocumentor-column -four phpdocumentor-sidebar">
    
    <section class="phpdocumentor-sidebar__category">
        <h2 class="phpdocumentor-sidebar__category-header">Namespaces</h2>
                                <h3 class="phpdocumentor-sidebar__root-namespace"><a href="namespaces/default.html"><abbr title="\">Global</abbr></a></h3>
                                    </section>

    
    <section class="phpdocumentor-sidebar__category">
        <h2 class="phpdocumentor-sidebar__category-header">Reports</h2>
                <h3 class="phpdocumentor-sidebar__root-package"><a href="reports/deprecated.html">Deprecated</a></h3>
        <h3 class="phpdocumentor-sidebar__root-package"><a href="reports/errors.html">Errors</a></h3>
        <h3 class="phpdocumentor-sidebar__root-package"><a href="reports/markers.html">Markers</a></h3>
    </section>

    <section class="phpdocumentor-sidebar__category">
        <h2 class="phpdocumentor-sidebar__category-header">Indices</h2>
        <h3 class="phpdocumentor-sidebar__root-package"><a href="indices/files.html">Files</a></h3>
    </section>
</aside>

            <div class="phpdocumentor-column -eight phpdocumentor-content">
                    <ul class="phpdocumentor-breadcrumbs">
    </ul>

    <article class="phpdocumentor-element -package">
        <h2 class="phpdocumentor-content__title">Default</h2>

        



<h3 id="toc">
    Table of Contents
    <a href="#toc" class="headerlink"><i class="fas fa-link"></i></a>
</h3>

<dl class="phpdocumentor-table-of-contents">
                        <dt class="phpdocumentor-table-of-contents__entry -function -">
    <a href="namespaces/default.html#function_gestionnaireDeConnexion">gestionnaireDeConnexion()</a>
    <span>
                        &nbsp;: <abbr title="\PDO">PDO</abbr>    </span>
</dt>
<dd>Initialise une (variable de) connexion à la base de données</dd>

            <dt class="phpdocumentor-table-of-contents__entry -function -">
    <a href="namespaces/default.html#function_obtenirUnEnregistrement">obtenirUnEnregistrement()</a>
    <span>
                        &nbsp;: array&lt;string|int, mixed&gt;    </span>
</dt>
<dd>Exécute une requête SQL de type SELECT via le gestionnaire de connexion</dd>

            <dt class="phpdocumentor-table-of-contents__entry -function -">
    <a href="namespaces/default.html#function_obtenirTousLesEnregistrements">obtenirTousLesEnregistrements()</a>
    <span>
                        &nbsp;: array&lt;string|int, mixed&gt;    </span>
</dt>
<dd>Exécute une requête SQL de type SELECT via le gestionnaire de connexion</dd>

            <dt class="phpdocumentor-table-of-contents__entry -function -">
    <a href="namespaces/default.html#function_insererUnEnregistrement">insererUnEnregistrement()</a>
    <span>
                        &nbsp;: int|bool    </span>
</dt>
<dd>Exécute une requête SQL de type INSERT via le gestionnaire de connexion</dd>

            <dt class="phpdocumentor-table-of-contents__entry -function -">
    <a href="namespaces/default.html#function_mettreAJourUnEnregistrement">mettreAJourUnEnregistrement()</a>
    <span>
                        &nbsp;: int    </span>
</dt>
<dd>Exécute une requête SQL de type UPDATE via le gestionnaire de connexion</dd>

            <dt class="phpdocumentor-table-of-contents__entry -function -">
    <a href="namespaces/default.html#function_supprimerUnEnregistrement">supprimerUnEnregistrement()</a>
    <span>
                        &nbsp;: int    </span>
</dt>
<dd>Exécute une requête SQL de type DELETE via le gestionnaire de connexion</dd>

            <dt class="phpdocumentor-table-of-contents__entry -function -">
    <a href="namespaces/default.html#function_obtenirCollectionLigneFraisForfait">obtenirCollectionLigneFraisForfait()</a>
    <span>
                        &nbsp;: array&lt;string|int, mixed&gt;    </span>
</dt>
<dd>Retourne l&#039;ensemble des lignes d&#039;enregistrements des frais forfaitaires d&#039;une fiche de frais</dd>

            <dt class="phpdocumentor-table-of-contents__entry -function -">
    <a href="namespaces/default.html#function_authentification">authentification()</a>
    <span>
                        &nbsp;: bool    </span>
</dt>
<dd>Vérifie l&#039;existance d&#039;un login et mot de passe saisis. Les données de l&#039;utilisateur connecté sont sauvegardées dans une session php</dd>

            <dt class="phpdocumentor-table-of-contents__entry -function -">
    <a href="namespaces/default.html#function_modifierQuantiteDeUneLigneDeFicheFrais">modifierQuantiteDeUneLigneDeFicheFrais()</a>
    <span>
                        &nbsp;: mixed    </span>
</dt>
<dd>Modifie la quantité associée à une ligne de frais forfaitaire</dd>

            <dt class="phpdocumentor-table-of-contents__entry -function -">
    <a href="namespaces/default.html#function_obtenirCollectionDeLigneFraisHorsForfait">obtenirCollectionDeLigneFraisHorsForfait()</a>
    <span>
                        &nbsp;: array&lt;string|int, mixed&gt;    </span>
</dt>
<dd>Retourne l&#039;ensemble des lignes d&#039;enregistrements des frais hors forfait d&#039;une fiche de frais</dd>

            <dt class="phpdocumentor-table-of-contents__entry -function -">
    <a href="namespaces/default.html#function_obtenirUneFicheDeFraisDeUnVisiteurDeUnMoisDonne">obtenirUneFicheDeFraisDeUnVisiteurDeUnMoisDonne()</a>
    <span>
                        &nbsp;: array&lt;string|int, mixed&gt;    </span>
</dt>
<dd>Retourne une fiche de frais</dd>

            <dt class="phpdocumentor-table-of-contents__entry -function -">
    <a href="namespaces/default.html#function_initialiserLesLignesDeFraisDeUneFicheDeFrais">initialiserLesLignesDeFraisDeUneFicheDeFrais()</a>
    <span>
                        &nbsp;: mixed    </span>
</dt>
<dd>Initialise les lignes de frais forfaits d&#039;une fiche de frais</dd>

            <dt class="phpdocumentor-table-of-contents__entry -function -">
    <a href="namespaces/default.html#function_ajouterUneLigneDeFraisHorsForfaitDeUneFicheDeFrais">ajouterUneLigneDeFraisHorsForfaitDeUneFicheDeFrais()</a>
    <span>
                        &nbsp;: mixed    </span>
</dt>
<dd>Ajoute une ligne de frais hors forfait à une fiche de frais</dd>

            <dt class="phpdocumentor-table-of-contents__entry -function -">
    <a href="namespaces/default.html#function_supprimerUneLigneDeFraisHorsForfaitDeUneFicheDeFrais">supprimerUneLigneDeFraisHorsForfaitDeUneFicheDeFrais()</a>
    <span>
                        &nbsp;: mixed    </span>
</dt>
<dd>Supprime une ligne de frais hors forfait</dd>

            <dt class="phpdocumentor-table-of-contents__entry -function -">
    <a href="namespaces/default.html#function_obtenirCollectionFicheDeFraisDeUnVisiteur">obtenirCollectionFicheDeFraisDeUnVisiteur()</a>
    <span>
                        &nbsp;: array&lt;string|int, mixed&gt;    </span>
</dt>
<dd>Retourne l&#039;ensemble des fiches de frais d&#039;un visiteur</dd>

            <dt class="phpdocumentor-table-of-contents__entry -function -">
    <a href="namespaces/default.html#function_obtenirUneFicheDeFraisAvecIdentifiant">obtenirUneFicheDeFraisAvecIdentifiant()</a>
    <span>
                        &nbsp;: array&lt;string|int, mixed&gt;|null    </span>
</dt>
<dd>Retourne une fiche de frais</dd>

            <dt class="phpdocumentor-table-of-contents__entry -function -">
    <a href="namespaces/default.html#function_obtenirCollectionFicheFraisAvecFraisForfaitDeUnUtilisateur">obtenirCollectionFicheFraisAvecFraisForfaitDeUnUtilisateur()</a>
    <span>
                        &nbsp;: array&lt;string|int, mixed&gt;    </span>
</dt>
<dd>Retourne l&#039;ensemble des fiches de frais comprenant des frais hors forfait d&#039;un utilisateur donnée</dd>

            <dt class="phpdocumentor-table-of-contents__entry -function -">
    <a href="namespaces/default.html#function_obtenirCollectionLigneFraisHorsForfaitDeUneFicheFrais">obtenirCollectionLigneFraisHorsForfaitDeUneFicheFrais()</a>
    <span>
                        &nbsp;: array&lt;string|int, mixed&gt;    </span>
</dt>
<dd>Retourne une collection de ligne de frais hors forfait d&#039;une fiche de frais</dd>

            <dt class="phpdocumentor-table-of-contents__entry -function -">
    <a href="namespaces/default.html#function_timestampToDate">timestampToDate()</a>
    <span>
                        &nbsp;: string    </span>
</dt>
<dd>Retourne une date au format JJ/MM/AAAA à partir d&#039;un timestamp</dd>

            <dt class="phpdocumentor-table-of-contents__entry -function -">
    <a href="namespaces/default.html#function_ObtenirCollectionDeVisiteursAvecFicheFraisEnCours">ObtenirCollectionDeVisiteursAvecFicheFraisEnCours()</a>
    <span>
                        &nbsp;: array&lt;string|int, mixed&gt;    </span>
</dt>
<dd>Retourne les visiteurs qui ont des fiches de frais à l&#039;état en cours</dd>

            <dt class="phpdocumentor-table-of-contents__entry -function -">
    <a href="namespaces/default.html#function_ObtenirLesFichesDeFraisEnCoursDeUnVisiteur">ObtenirLesFichesDeFraisEnCoursDeUnVisiteur()</a>
    <span>
                        &nbsp;: array&lt;string|int, mixed&gt;    </span>
</dt>
<dd>Retourne les fiches de frais à l&#039;état en cours d&#039;un visiteur</dd>

            <dt class="phpdocumentor-table-of-contents__entry -function -">
    <a href="namespaces/default.html#function_ObtenirVisiteur">ObtenirVisiteur()</a>
    <span>
                        &nbsp;: <abbr title="\type">type</abbr>    </span>
</dt>
<dd>Retourne un visiteur</dd>

    </dl>

        

            <section class="phpdocumentor-functions">
        <h3 class="phpdocumentor-elements__header" id="functions">
            Functions
            <a href="packages/Default.html#functions" class="headerlink"><i class="fas fa-link"></i></a>
        </h3>
                    <article class="phpdocumentor-element -function - ">
    <h4 class="phpdocumentor-element__name" id="function_gestionnaireDeConnexion">
        gestionnaireDeConnexion()
        <a href="namespaces/default.html#function_gestionnaireDeConnexion" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="_fonctions.inc.php"><a href="files/fonctions-inc.html"><abbr title="_fonctions.inc.php">_fonctions.inc.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">8</span>
</aside>

        <p class="phpdocumentor-summary">Initialise une (variable de) connexion à la base de données</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility"></span>
                <span class="phpdocumentor-signature__name">gestionnaireDeConnexion</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type"><abbr title="\PDO">PDO</abbr></span></code>

        <section class="phpdocumentor-description"></section>

    
    

    
</article>
                    <article class="phpdocumentor-element -function - ">
    <h4 class="phpdocumentor-element__name" id="function_obtenirUnEnregistrement">
        obtenirUnEnregistrement()
        <a href="namespaces/default.html#function_obtenirUnEnregistrement" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="_fonctions.inc.php"><a href="files/fonctions-inc.html"><abbr title="_fonctions.inc.php">_fonctions.inc.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">32</span>
</aside>

        <p class="phpdocumentor-summary">Exécute une requête SQL de type SELECT via le gestionnaire de connexion</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility"></span>
                <span class="phpdocumentor-signature__name">obtenirUnEnregistrement</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">string&nbsp;</span><span class="phpdocumentor-signature__argument__name">$requete</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span></code>

        <section class="phpdocumentor-description"></section>

        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$requete</span>
                : <span class="phpdocumentor-signature__argument__return-type">string</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"><p>une requête SQL de sélection</p>
</section>

            </dd>
            </dl>

    

    
</article>
                    <article class="phpdocumentor-element -function - ">
    <h4 class="phpdocumentor-element__name" id="function_obtenirTousLesEnregistrements">
        obtenirTousLesEnregistrements()
        <a href="namespaces/default.html#function_obtenirTousLesEnregistrements" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="_fonctions.inc.php"><a href="files/fonctions-inc.html"><abbr title="_fonctions.inc.php">_fonctions.inc.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">53</span>
</aside>

        <p class="phpdocumentor-summary">Exécute une requête SQL de type SELECT via le gestionnaire de connexion</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility"></span>
                <span class="phpdocumentor-signature__name">obtenirTousLesEnregistrements</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">string&nbsp;</span><span class="phpdocumentor-signature__argument__name">$requete</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span></code>

        <section class="phpdocumentor-description"></section>

        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$requete</span>
                : <span class="phpdocumentor-signature__argument__return-type">string</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"><p>une requête SQL de sélection</p>
</section>

            </dd>
            </dl>

    

    
</article>
                    <article class="phpdocumentor-element -function - ">
    <h4 class="phpdocumentor-element__name" id="function_insererUnEnregistrement">
        insererUnEnregistrement()
        <a href="namespaces/default.html#function_insererUnEnregistrement" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="_fonctions.inc.php"><a href="files/fonctions-inc.html"><abbr title="_fonctions.inc.php">_fonctions.inc.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">75</span>
</aside>

        <p class="phpdocumentor-summary">Exécute une requête SQL de type INSERT via le gestionnaire de connexion</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility"></span>
                <span class="phpdocumentor-signature__name">insererUnEnregistrement</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">string&nbsp;</span><span class="phpdocumentor-signature__argument__name">$requete</span></span><span class="phpdocumentor-signature__argument"><span>[</span><span>, </span><span class="phpdocumentor-signature__argument__return-type">bool&nbsp;</span><span class="phpdocumentor-signature__argument__name">$obtenirClePrimaire</span><span> = </span><span class="phpdocumentor-signature__argument__default-value">false</span><span> ]</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">int|bool</span></code>

        <section class="phpdocumentor-description"></section>

        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$requete</span>
                : <span class="phpdocumentor-signature__argument__return-type">string</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"><p>une requête SQL d'insertion</p>
</section>

            </dd>
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$obtenirClePrimaire</span>
                : <span class="phpdocumentor-signature__argument__return-type">bool</span>
                 = <span class="phpdocumentor-signature__argument__default-value">false</span>            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"><p>la fonction retourne la clé primaire de l'enregistrement créé</p>
</section>

            </dd>
            </dl>

    

    
</article>
                    <article class="phpdocumentor-element -function - ">
    <h4 class="phpdocumentor-element__name" id="function_mettreAJourUnEnregistrement">
        mettreAJourUnEnregistrement()
        <a href="namespaces/default.html#function_mettreAJourUnEnregistrement" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="_fonctions.inc.php"><a href="files/fonctions-inc.html"><abbr title="_fonctions.inc.php">_fonctions.inc.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">97</span>
</aside>

        <p class="phpdocumentor-summary">Exécute une requête SQL de type UPDATE via le gestionnaire de connexion</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility"></span>
                <span class="phpdocumentor-signature__name">mettreAJourUnEnregistrement</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">string&nbsp;</span><span class="phpdocumentor-signature__argument__name">$requete</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">int</span></code>

        <section class="phpdocumentor-description"></section>

        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$requete</span>
                : <span class="phpdocumentor-signature__argument__return-type">string</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"><p>une requête SQL de mise à jour</p>
</section>

            </dd>
            </dl>

    

    
</article>
                    <article class="phpdocumentor-element -function - ">
    <h4 class="phpdocumentor-element__name" id="function_supprimerUnEnregistrement">
        supprimerUnEnregistrement()
        <a href="namespaces/default.html#function_supprimerUnEnregistrement" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="_fonctions.inc.php"><a href="files/fonctions-inc.html"><abbr title="_fonctions.inc.php">_fonctions.inc.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">117</span>
</aside>

        <p class="phpdocumentor-summary">Exécute une requête SQL de type DELETE via le gestionnaire de connexion</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility"></span>
                <span class="phpdocumentor-signature__name">supprimerUnEnregistrement</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">string&nbsp;</span><span class="phpdocumentor-signature__argument__name">$requete</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">int</span></code>

        <section class="phpdocumentor-description"></section>

        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$requete</span>
                : <span class="phpdocumentor-signature__argument__return-type">string</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"><p>une requête SQL de suppression</p>
</section>

            </dd>
            </dl>

    

    
</article>
                    <article class="phpdocumentor-element -function - ">
    <h4 class="phpdocumentor-element__name" id="function_obtenirCollectionLigneFraisForfait">
        obtenirCollectionLigneFraisForfait()
        <a href="namespaces/default.html#function_obtenirCollectionLigneFraisForfait" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="_fonctions.inc.php"><a href="files/fonctions-inc.html"><abbr title="_fonctions.inc.php">_fonctions.inc.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">138</span>
</aside>

        <p class="phpdocumentor-summary">Retourne l&#039;ensemble des lignes d&#039;enregistrements des frais forfaitaires d&#039;une fiche de frais</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility"></span>
                <span class="phpdocumentor-signature__name">obtenirCollectionLigneFraisForfait</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">array&lt;string|int, mixed&gt;&nbsp;</span><span class="phpdocumentor-signature__argument__name">$ficheFrais</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span></code>

        <section class="phpdocumentor-description"></section>

        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$ficheFrais</span>
                : <span class="phpdocumentor-signature__argument__return-type">array&lt;string|int, mixed&gt;</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"><p>Une fiche de frais sous la forme d'un enregistrement (un tuple issu de la base de données)</p>
</section>

            </dd>
            </dl>

    
    <h5 class="phpdocumentor-tag-list__heading" id="tags">
        Tags
        <a href="#tags" class="headerlink"><i class="fas fa-link"></i></a>
    </h5>
    <dl class="phpdocumentor-tag-list">
                                    <dt class="phpdocumentor-tag-list__entry">
                    <span class="phpdocumentor-tag__name">remarks</span>
                </dt>
                <dd class="phpdocumentor-tag-list__definition">
                                                                                
                                                 <section class="phpdocumentor-description"><p>les informations sur les types de frais forfaitaires apparaissent pour chaque ligne de frais forfaitaire</p>
</section>

                                    </dd>
                        </dl>

    
</article>
                    <article class="phpdocumentor-element -function - ">
    <h4 class="phpdocumentor-element__name" id="function_authentification">
        authentification()
        <a href="namespaces/default.html#function_authentification" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="_fonctions.inc.php"><a href="files/fonctions-inc.html"><abbr title="_fonctions.inc.php">_fonctions.inc.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">162</span>
</aside>

        <p class="phpdocumentor-summary">Vérifie l&#039;existance d&#039;un login et mot de passe saisis. Les données de l&#039;utilisateur connecté sont sauvegardées dans une session php</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility"></span>
                <span class="phpdocumentor-signature__name">authentification</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type"><abbr title="\type">type</abbr>&nbsp;</span><span class="phpdocumentor-signature__argument__name">$login</span></span><span class="phpdocumentor-signature__argument"><span>, </span><span class="phpdocumentor-signature__argument__return-type"><abbr title="\type">type</abbr>&nbsp;</span><span class="phpdocumentor-signature__argument__name">$mdp</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">bool</span></code>

        <section class="phpdocumentor-description"></section>

        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$login</span>
                : <span class="phpdocumentor-signature__argument__return-type"><abbr title="\type">type</abbr></span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"><p>le login visiteur ou comptable</p>
</section>

            </dd>
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$mdp</span>
                : <span class="phpdocumentor-signature__argument__return-type"><abbr title="\type">type</abbr></span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"><p>le mot de passe visiteur ou comptable</p>
</section>

            </dd>
            </dl>

    

    
</article>
                    <article class="phpdocumentor-element -function - ">
    <h4 class="phpdocumentor-element__name" id="function_modifierQuantiteDeUneLigneDeFicheFrais">
        modifierQuantiteDeUneLigneDeFicheFrais()
        <a href="namespaces/default.html#function_modifierQuantiteDeUneLigneDeFicheFrais" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="_fonctions.inc.php"><a href="files/fonctions-inc.html"><abbr title="_fonctions.inc.php">_fonctions.inc.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">187</span>
</aside>

        <p class="phpdocumentor-summary">Modifie la quantité associée à une ligne de frais forfaitaire</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility"></span>
                <span class="phpdocumentor-signature__name">modifierQuantiteDeUneLigneDeFicheFrais</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type"><abbr title="\type">type</abbr>&nbsp;</span><span class="phpdocumentor-signature__argument__name">$idFraisForfait</span></span><span class="phpdocumentor-signature__argument"><span>, </span><span class="phpdocumentor-signature__argument__return-type"><abbr title="\type">type</abbr>&nbsp;</span><span class="phpdocumentor-signature__argument__name">$idFicheFrais</span></span><span class="phpdocumentor-signature__argument"><span>, </span><span class="phpdocumentor-signature__argument__return-type"><abbr title="\type">type</abbr>&nbsp;</span><span class="phpdocumentor-signature__argument__name">$quantite</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">mixed</span></code>

        <section class="phpdocumentor-description"></section>

        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$idFraisForfait</span>
                : <span class="phpdocumentor-signature__argument__return-type"><abbr title="\type">type</abbr></span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"><p>l'idendifiant de la ligne de frais forfaitaire</p>
</section>

            </dd>
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$idFicheFrais</span>
                : <span class="phpdocumentor-signature__argument__return-type"><abbr title="\type">type</abbr></span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"><p>l'identifiant de la fiche de frais</p>
</section>

            </dd>
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$quantite</span>
                : <span class="phpdocumentor-signature__argument__return-type"><abbr title="\type">type</abbr></span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"><p>la quantité à modifiée</p>
</section>

            </dd>
            </dl>

    

    
</article>
                    <article class="phpdocumentor-element -function - ">
    <h4 class="phpdocumentor-element__name" id="function_obtenirCollectionDeLigneFraisHorsForfait">
        obtenirCollectionDeLigneFraisHorsForfait()
        <a href="namespaces/default.html#function_obtenirCollectionDeLigneFraisHorsForfait" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="_fonctions.inc.php"><a href="files/fonctions-inc.html"><abbr title="_fonctions.inc.php">_fonctions.inc.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">199</span>
</aside>

        <p class="phpdocumentor-summary">Retourne l&#039;ensemble des lignes d&#039;enregistrements des frais hors forfait d&#039;une fiche de frais</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility"></span>
                <span class="phpdocumentor-signature__name">obtenirCollectionDeLigneFraisHorsForfait</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">array&lt;string|int, mixed&gt;&nbsp;</span><span class="phpdocumentor-signature__argument__name">$ficheFrais</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span></code>

        <section class="phpdocumentor-description"></section>

        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$ficheFrais</span>
                : <span class="phpdocumentor-signature__argument__return-type">array&lt;string|int, mixed&gt;</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"><p>Une fiche de frais sous la forme d'un enregistrement (un tuple issu de la base de données)</p>
</section>

            </dd>
            </dl>

    

    
</article>
                    <article class="phpdocumentor-element -function - ">
    <h4 class="phpdocumentor-element__name" id="function_obtenirUneFicheDeFraisDeUnVisiteurDeUnMoisDonne">
        obtenirUneFicheDeFraisDeUnVisiteurDeUnMoisDonne()
        <a href="namespaces/default.html#function_obtenirUneFicheDeFraisDeUnVisiteurDeUnMoisDonne" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="_fonctions.inc.php"><a href="files/fonctions-inc.html"><abbr title="_fonctions.inc.php">_fonctions.inc.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">219</span>
</aside>

        <p class="phpdocumentor-summary">Retourne une fiche de frais</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility"></span>
                <span class="phpdocumentor-signature__name">obtenirUneFicheDeFraisDeUnVisiteurDeUnMoisDonne</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type"><abbr title="\type">type</abbr>&nbsp;</span><span class="phpdocumentor-signature__argument__name">$idVisiteur</span></span><span class="phpdocumentor-signature__argument"><span>, </span><span class="phpdocumentor-signature__argument__return-type"><abbr title="\type">type</abbr>&nbsp;</span><span class="phpdocumentor-signature__argument__name">$moisAnnee</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span></code>

        <section class="phpdocumentor-description"></section>

        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$idVisiteur</span>
                : <span class="phpdocumentor-signature__argument__return-type"><abbr title="\type">type</abbr></span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"><p>L'identifiant d'un visiteur</p>
</section>

            </dd>
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$moisAnnee</span>
                : <span class="phpdocumentor-signature__argument__return-type"><abbr title="\type">type</abbr></span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"><p>Le mois et l'année d'une fiche de frais</p>
</section>

            </dd>
            </dl>

    

    
</article>
                    <article class="phpdocumentor-element -function - ">
    <h4 class="phpdocumentor-element__name" id="function_initialiserLesLignesDeFraisDeUneFicheDeFrais">
        initialiserLesLignesDeFraisDeUneFicheDeFrais()
        <a href="namespaces/default.html#function_initialiserLesLignesDeFraisDeUneFicheDeFrais" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="_fonctions.inc.php"><a href="files/fonctions-inc.html"><abbr title="_fonctions.inc.php">_fonctions.inc.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">243</span>
</aside>

        <p class="phpdocumentor-summary">Initialise les lignes de frais forfaits d&#039;une fiche de frais</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility"></span>
                <span class="phpdocumentor-signature__name">initialiserLesLignesDeFraisDeUneFicheDeFrais</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">string|int&nbsp;</span><span class="phpdocumentor-signature__argument__name">$idFicheFrais</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">mixed</span></code>

        <section class="phpdocumentor-description"></section>

        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$idFicheFrais</span>
                : <span class="phpdocumentor-signature__argument__return-type">string|int</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"><p>Un identifiant de fiche de frais</p>
</section>

            </dd>
            </dl>

    

    
</article>
                    <article class="phpdocumentor-element -function - ">
    <h4 class="phpdocumentor-element__name" id="function_ajouterUneLigneDeFraisHorsForfaitDeUneFicheDeFrais">
        ajouterUneLigneDeFraisHorsForfaitDeUneFicheDeFrais()
        <a href="namespaces/default.html#function_ajouterUneLigneDeFraisHorsForfaitDeUneFicheDeFrais" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="_fonctions.inc.php"><a href="files/fonctions-inc.html"><abbr title="_fonctions.inc.php">_fonctions.inc.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">264</span>
</aside>

        <p class="phpdocumentor-summary">Ajoute une ligne de frais hors forfait à une fiche de frais</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility"></span>
                <span class="phpdocumentor-signature__name">ajouterUneLigneDeFraisHorsForfaitDeUneFicheDeFrais</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">array&lt;string|int, mixed&gt;&nbsp;</span><span class="phpdocumentor-signature__argument__name">$ficheFrais</span></span><span class="phpdocumentor-signature__argument"><span>, </span><span class="phpdocumentor-signature__argument__return-type"><abbr title="\type">type</abbr>&nbsp;</span><span class="phpdocumentor-signature__argument__name">$libelle</span></span><span class="phpdocumentor-signature__argument"><span>, </span><span class="phpdocumentor-signature__argument__return-type"><abbr title="\type">type</abbr>&nbsp;</span><span class="phpdocumentor-signature__argument__name">$date</span></span><span class="phpdocumentor-signature__argument"><span>, </span><span class="phpdocumentor-signature__argument__return-type"><abbr title="\type">type</abbr>&nbsp;</span><span class="phpdocumentor-signature__argument__name">$montant</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">mixed</span></code>

        <section class="phpdocumentor-description"></section>

        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$ficheFrais</span>
                : <span class="phpdocumentor-signature__argument__return-type">array&lt;string|int, mixed&gt;</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"><p>Une fiche de frais sous la forme d'un enregistrement</p>
</section>

            </dd>
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$libelle</span>
                : <span class="phpdocumentor-signature__argument__return-type"><abbr title="\type">type</abbr></span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"><p>Le libellé d'un frais hors forfait</p>
</section>

            </dd>
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$date</span>
                : <span class="phpdocumentor-signature__argument__return-type"><abbr title="\type">type</abbr></span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"><p>La date du frais hors forfait</p>
</section>

            </dd>
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$montant</span>
                : <span class="phpdocumentor-signature__argument__return-type"><abbr title="\type">type</abbr></span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"><p>Le montant du frais hors forfait</p>
</section>

            </dd>
            </dl>

    

    
</article>
                    <article class="phpdocumentor-element -function - ">
    <h4 class="phpdocumentor-element__name" id="function_supprimerUneLigneDeFraisHorsForfaitDeUneFicheDeFrais">
        supprimerUneLigneDeFraisHorsForfaitDeUneFicheDeFrais()
        <a href="namespaces/default.html#function_supprimerUneLigneDeFraisHorsForfaitDeUneFicheDeFrais" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="_fonctions.inc.php"><a href="files/fonctions-inc.html"><abbr title="_fonctions.inc.php">_fonctions.inc.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">276</span>
</aside>

        <p class="phpdocumentor-summary">Supprime une ligne de frais hors forfait</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility"></span>
                <span class="phpdocumentor-signature__name">supprimerUneLigneDeFraisHorsForfaitDeUneFicheDeFrais</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type"><abbr title="\type">type</abbr>&nbsp;</span><span class="phpdocumentor-signature__argument__name">$idLigneFraisHorsForfait</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">mixed</span></code>

        <section class="phpdocumentor-description"></section>

        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$idLigneFraisHorsForfait</span>
                : <span class="phpdocumentor-signature__argument__return-type"><abbr title="\type">type</abbr></span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"><p>L'identifiant d'une ligne de frais hors forfait</p>
</section>

            </dd>
            </dl>

    

    
</article>
                    <article class="phpdocumentor-element -function - ">
    <h4 class="phpdocumentor-element__name" id="function_obtenirCollectionFicheDeFraisDeUnVisiteur">
        obtenirCollectionFicheDeFraisDeUnVisiteur()
        <a href="namespaces/default.html#function_obtenirCollectionFicheDeFraisDeUnVisiteur" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="_fonctions.inc.php"><a href="files/fonctions-inc.html"><abbr title="_fonctions.inc.php">_fonctions.inc.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">287</span>
</aside>

        <p class="phpdocumentor-summary">Retourne l&#039;ensemble des fiches de frais d&#039;un visiteur</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility"></span>
                <span class="phpdocumentor-signature__name">obtenirCollectionFicheDeFraisDeUnVisiteur</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type"><abbr title="\type">type</abbr>&nbsp;</span><span class="phpdocumentor-signature__argument__name">$idVisiteur</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span></code>

        <section class="phpdocumentor-description"></section>

        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$idVisiteur</span>
                : <span class="phpdocumentor-signature__argument__return-type"><abbr title="\type">type</abbr></span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"><p>L'identifiant d'un visiteur</p>
</section>

            </dd>
            </dl>

    

    
</article>
                    <article class="phpdocumentor-element -function - ">
    <h4 class="phpdocumentor-element__name" id="function_obtenirUneFicheDeFraisAvecIdentifiant">
        obtenirUneFicheDeFraisAvecIdentifiant()
        <a href="namespaces/default.html#function_obtenirUneFicheDeFraisAvecIdentifiant" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="_fonctions.inc.php"><a href="files/fonctions-inc.html"><abbr title="_fonctions.inc.php">_fonctions.inc.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">301</span>
</aside>

        <p class="phpdocumentor-summary">Retourne une fiche de frais</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility"></span>
                <span class="phpdocumentor-signature__name">obtenirUneFicheDeFraisAvecIdentifiant</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type"><abbr title="\type">type</abbr>&nbsp;</span><span class="phpdocumentor-signature__argument__name">$idFicheFrais</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;|null</span></code>

        <section class="phpdocumentor-description"></section>

        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$idFicheFrais</span>
                : <span class="phpdocumentor-signature__argument__return-type"><abbr title="\type">type</abbr></span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"><p>L'identifiant d'une fiche de frais</p>
</section>

            </dd>
            </dl>

    

    
</article>
                    <article class="phpdocumentor-element -function - ">
    <h4 class="phpdocumentor-element__name" id="function_obtenirCollectionFicheFraisAvecFraisForfaitDeUnUtilisateur">
        obtenirCollectionFicheFraisAvecFraisForfaitDeUnUtilisateur()
        <a href="namespaces/default.html#function_obtenirCollectionFicheFraisAvecFraisForfaitDeUnUtilisateur" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="_fonctions.inc.php"><a href="files/fonctions-inc.html"><abbr title="_fonctions.inc.php">_fonctions.inc.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">315</span>
</aside>

        <p class="phpdocumentor-summary">Retourne l&#039;ensemble des fiches de frais comprenant des frais hors forfait d&#039;un utilisateur donnée</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility"></span>
                <span class="phpdocumentor-signature__name">obtenirCollectionFicheFraisAvecFraisForfaitDeUnUtilisateur</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">string&nbsp;</span><span class="phpdocumentor-signature__argument__name">$idVisiteur</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span></code>

        <section class="phpdocumentor-description"></section>

        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$idVisiteur</span>
                : <span class="phpdocumentor-signature__argument__return-type">string</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"><p>l'identifiation d'un utilisateur</p>
</section>

            </dd>
            </dl>

    

    
</article>
                    <article class="phpdocumentor-element -function - ">
    <h4 class="phpdocumentor-element__name" id="function_obtenirCollectionLigneFraisHorsForfaitDeUneFicheFrais">
        obtenirCollectionLigneFraisHorsForfaitDeUneFicheFrais()
        <a href="namespaces/default.html#function_obtenirCollectionLigneFraisHorsForfaitDeUneFicheFrais" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="_fonctions.inc.php"><a href="files/fonctions-inc.html"><abbr title="_fonctions.inc.php">_fonctions.inc.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">331</span>
</aside>

        <p class="phpdocumentor-summary">Retourne une collection de ligne de frais hors forfait d&#039;une fiche de frais</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility"></span>
                <span class="phpdocumentor-signature__name">obtenirCollectionLigneFraisHorsForfaitDeUneFicheFrais</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">string&nbsp;</span><span class="phpdocumentor-signature__argument__name">$idFicheFrais</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span></code>

        <section class="phpdocumentor-description"></section>

        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$idFicheFrais</span>
                : <span class="phpdocumentor-signature__argument__return-type">string</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"><p>l'identifiant d'une fiche de frais</p>
</section>

            </dd>
            </dl>

    

    
</article>
                    <article class="phpdocumentor-element -function - ">
    <h4 class="phpdocumentor-element__name" id="function_timestampToDate">
        timestampToDate()
        <a href="namespaces/default.html#function_timestampToDate" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="_fonctions.inc.php"><a href="files/fonctions-inc.html"><abbr title="_fonctions.inc.php">_fonctions.inc.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">345</span>
</aside>

        <p class="phpdocumentor-summary">Retourne une date au format JJ/MM/AAAA à partir d&#039;un timestamp</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility"></span>
                <span class="phpdocumentor-signature__name">timestampToDate</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">string&nbsp;</span><span class="phpdocumentor-signature__argument__name">$timeStamp</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">string</span></code>

        <section class="phpdocumentor-description"></section>

        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$timeStamp</span>
                : <span class="phpdocumentor-signature__argument__return-type">string</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"><p>une date au format timestamp</p>
</section>

            </dd>
            </dl>

    

    
</article>
                    <article class="phpdocumentor-element -function - ">
    <h4 class="phpdocumentor-element__name" id="function_ObtenirCollectionDeVisiteursAvecFicheFraisEnCours">
        ObtenirCollectionDeVisiteursAvecFicheFraisEnCours()
        <a href="namespaces/default.html#function_ObtenirCollectionDeVisiteursAvecFicheFraisEnCours" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="_fonctions.inc.php"><a href="files/fonctions-inc.html"><abbr title="_fonctions.inc.php">_fonctions.inc.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">353</span>
</aside>

        <p class="phpdocumentor-summary">Retourne les visiteurs qui ont des fiches de frais à l&#039;état en cours</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility"></span>
                <span class="phpdocumentor-signature__name">ObtenirCollectionDeVisiteursAvecFicheFraisEnCours</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span></code>

        <section class="phpdocumentor-description"></section>

    
    

    
</article>
                    <article class="phpdocumentor-element -function - ">
    <h4 class="phpdocumentor-element__name" id="function_ObtenirLesFichesDeFraisEnCoursDeUnVisiteur">
        ObtenirLesFichesDeFraisEnCoursDeUnVisiteur()
        <a href="namespaces/default.html#function_ObtenirLesFichesDeFraisEnCoursDeUnVisiteur" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="_fonctions.inc.php"><a href="files/fonctions-inc.html"><abbr title="_fonctions.inc.php">_fonctions.inc.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">372</span>
</aside>

        <p class="phpdocumentor-summary">Retourne les fiches de frais à l&#039;état en cours d&#039;un visiteur</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility"></span>
                <span class="phpdocumentor-signature__name">ObtenirLesFichesDeFraisEnCoursDeUnVisiteur</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type"><abbr title="\type">type</abbr>&nbsp;</span><span class="phpdocumentor-signature__argument__name">$idVisiteur</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span></code>

        <section class="phpdocumentor-description"></section>

        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$idVisiteur</span>
                : <span class="phpdocumentor-signature__argument__return-type"><abbr title="\type">type</abbr></span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"><p>L'identifiant d'un visiteur</p>
</section>

            </dd>
            </dl>

    

    
</article>
                    <article class="phpdocumentor-element -function - ">
    <h4 class="phpdocumentor-element__name" id="function_ObtenirVisiteur">
        ObtenirVisiteur()
        <a href="namespaces/default.html#function_ObtenirVisiteur" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="_fonctions.inc.php"><a href="files/fonctions-inc.html"><abbr title="_fonctions.inc.php">_fonctions.inc.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">387</span>
</aside>

        <p class="phpdocumentor-summary">Retourne un visiteur</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility"></span>
                <span class="phpdocumentor-signature__name">ObtenirVisiteur</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type"><abbr title="\type">type</abbr>&nbsp;</span><span class="phpdocumentor-signature__argument__name">$idVisiteur</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type"><abbr title="\type">type</abbr></span></code>

        <section class="phpdocumentor-description"></section>

        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$idVisiteur</span>
                : <span class="phpdocumentor-signature__argument__return-type"><abbr title="\type">type</abbr></span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"><p>L'identifiant d'un visiteur</p>
</section>

            </dd>
            </dl>

    

    
</article>
            </section>

    </article>
                <section data-search-results class="phpdocumentor-search-results phpdocumentor-search-results--hidden">
    <section class="phpdocumentor-search-results__dialog">
        <header class="phpdocumentor-search-results__header">
            <h2 class="phpdocumentor-search-results__title">Search results</h2>
            <button class="phpdocumentor-search-results__close"><i class="fas fa-times"></i></button>
        </header>
        <section class="phpdocumentor-search-results__body">
            <ul class="phpdocumentor-search-results__entries"></ul>
        </section>
    </section>
</section>
            </div>
        </div>
        <a href="packages/Default.html#top" class="phpdocumentor-back-to-top"><i class="fas fa-chevron-circle-up"></i></a>

    </main>

    <script>
        cssVars({});
    </script>
</body>
</html>
